Skip to content

Update records (bulk)

PATCH
/api/v1/tables/{tableId}/records
curl --request PATCH \
--url https://api.cloudtable.insurge.io/api/v1/tables/example/records \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{ "records": [ { "id": "example", "fields": { "additionalProperty": "example" } } ] }'

Body: { records: [{ id, fields }] }.

tableId
required
string
Media typeapplication/json
object
records
required
Array<object>
object
id
required
string
fields
required
object
key
additional properties
nullable
Examplegenerated
{
"records": [
{
"id": "example",
"fields": {
"additionalProperty": "example"
}
}
]
}

Updated records

Media typeapplication/json
object
records
required
Array<object>
object
id
required
string
createdTime
string
fields
required
object
key
additional properties
nullable
Examplegenerated
{
"records": [
{
"id": "example",
"createdTime": "example",
"fields": {
"additionalProperty": "example"
}
}
]
}

Unauthorized

Not found